# binaryninja.binaryview.BinaryDataNotification

class `binaryninja.binaryview.``BinaryDataNotification`
  `__init__`()

  Methods

  `__init__`() |
  `data_inserted`(view, offset, length) |
  `data_removed`(view, offset, length) |
  `data_var_added`(view, var) |
  `data_var_removed`(view, var) |
  `data_var_updated`(view, var) |
  `data_written`(view, offset, length) |
  `function_added`(view, func) |
  `function_removed`(view, func) |
  `function_update_requested`(view, func) |
  `function_updated`(view, func) |
  `string_found`(view, string_type, offset, length) |
  `string_removed`(view, string_type, offset, length) |
  `type_defined`(view, name, type) |
  `type_undefined`(view, name, type) |